Subject: Meeting Schedule
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sun, 15 Aug 1999 14:28:00 -0700 (PDT)

Ken, as a reminder, can we set up a meeting with the young American Indian 
man that I met and spoke with at the Holocaust Museum Houston - The Human 
Race Open House on 8/5/99?

If so, let's do it over lunch as I know he has a 15 min. video to show us.  
Also, I'd like to include Cindy and whomever else you wish.

    Larwence Sampson (this is how he wrote his name down)
        Cell phone        -    281/932-5145
        Home phone     -    713/686-5781

Please advise.  Love, L.  
 - att1.htm